classification
Title: Cygwin: _socket module does not compile due to missing ioctl declaration
Type: compile error Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: erik.bray, iritkatriel
Priority: normal Keywords: patch

Created on 2017-10-26 15:42 by erik.bray, last changed 2020-10-19 11:51 by erik.bray. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4137 merged erik.bray, 2017-10-26 15:45
PR 4145 open python-dev, 2017-10-27 10:02
Messages (2)
msg305065 - (view) Author: Erik Bray (erik.bray) * (Python triager) Date: 2017-10-26 15:42
On Cygwin, ioctl() is found in sys/ioctl.h (as on Darwin).  Without adding something to the effect of

#ifdef __CYGWIN__
# include <sys/ioctl.h>
#endif

the _socket module cannot compile on Cygwin.  A fix was this was included in the (rejected) https://bugs.python.org/issue29718; this issue is just as a reminder that it remains an issue and to have a bug report to attach a more focused PR to.
msg378732 - (view) Author: Irit Katriel (iritkatriel) * (Python triager) Date: 2020-10-16 18:26
This seems complete, can it be closed?
History
Date User Action Args
2020-10-19 11:51:42erik.braysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-10-16 18:26:21iritkatrielsetnosy: + iritkatriel
messages: + msg378732
2017-10-27 10:02:49python-devsetpull_requests: + pull_request4111
2017-10-26 15:45:49erik.braysetkeywords: + patch
stage: patch review
pull_requests: + pull_request4100
2017-10-26 15:42:21erik.braycreate